%bcond_with check

Name:           ruqola
Version:        2.1.0
Release:        %autorelease
Summary:        KDE client for Rocket Chat

License:        LGPL-2.0-or-later
URL:            https://invent.kde.org/network/ruqola
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6MultimediaWidgets)
BuildRequires:  cmake(Qt6Sql)
%if %{with check}
BuildRequires:  cmake(Qt6Test)
%endif

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  cmake(KF6TextTranslator)
BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextEmoticonsWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6DocTools)
# not packaged and optional
# BuildRequires:  cmake(KLLMWidgets)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(Qt6Keychain)
# not packaged and optional
# BuildRequires:  cmake(SeleniumWebDriverATSPI)
BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6NetworkManagerQt)

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
Ruqola is a Rocket.Chat client for the KDE desktop.

%prep
%autosetup -p1 -n ruqola-v%{version}

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DQT_MAJOR_VERSION=6

%cmake_build

%install
%cmake_install

%find_lang %{name}

%check
%if %{with check}
%ctest
%endif

desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_bindir}/ruqola
%{_libdir}/librocketchatrestapi-qt.so.0
%{_libdir}/librocketchatrestapi-qt.so.%{version}
%{_libdir}/libruqolacore.so.0
%{_libdir}/libruqolacore.so.%{version}
%{_libdir}/libruqolawidgets.so.0
%{_libdir}/libruqolawidgets.so.%{version}
%dir %{_qt6_plugindir}/ruqolaplugins
%dir %{_qt6_plugindir}/ruqolaplugins/authentication
%{_qt6_plugindir}/ruqolaplugins/authentication/*.so
%dir %{_qt6_plugindir}/ruqolaplugins/textplugins
%{_qt6_plugindir}/ruqolaplugins/textplugins/*.so
%{_datadir}/applications/org.kde.ruqola.desktop
%{_datadir}/doc/HTML/en/ruqola/
%{_datadir}/icons/hicolor/*/apps/ruqola.png
%{_datadir}/knotifications6/ruqola.notifyrc
%{_datadir}/metainfo/org.kde.ruqola.appdata.xml
%{_datadir}/qlogging-categories6/ruqola.categories
%{_datadir}/qlogging-categories6/ruqola.renamecategories

%changelog
%autochangelog
